fr.cnam.ihm

## Class LigneCanvas

- java.lang.Object
- - fr.cnam.ihm.ObjetCanvas
  - - fr.cnam.ihm.LigneCanvas

-     public class LigneCanvas
      extends ObjetCanvas

  Classe de définition d'une ligne dessinée dans le canvas

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `marque` couleur de la ligne (de 1 à 10)
    `java.awt.Point` | `p1` 1er point de la ligne
    `java.awt.Point` | `p2` 2eme point de la ligne
    `RessourcesCanvas` | `rc` Ressources graphiques

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LigneCanvas(int marque, int x1, int y1, int x2, int y2)` Création d'une ligne
    `LigneCanvas(RessourcesCanvas rc, int x1, int y1, int x2, int y2)` Création d'une ligne

  - ### Method Summary

    - ### Methods inherited from class fr.cnam.ihm.ObjetCanvas

      `setRessourcesCanvas`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### marque

          public int marque

      couleur de la ligne (de 1 à 10)

    - #### rc

          public RessourcesCanvas rc

      Ressources graphiques

    - #### p1

          public java.awt.Point p1

      1er point de la ligne

    - #### p2

          public java.awt.Point p2

      2eme point de la ligne

  - ### Constructor Detail

    - #### LigneCanvas

          public LigneCanvas(int marque,
                             int x1,
                             int y1,
                             int x2,
                             int y2)

      Création d'une ligne
      Parameters:
        `marque` - numéro de couleur (de 1 à 10)
        `x1` - coord X du 1er point
        `y1` - coord Y du 1er point
        `x2` - coord X du 2eme point
        `y2` - coord Y du 2eme point

    - #### LigneCanvas

          public LigneCanvas(RessourcesCanvas rc,
                             int x1,
                             int y1,
                             int x2,
                             int y2)

      Création d'une ligne
      Parameters:
        `rc` - ressources graphiques
        `x1` - coord X du 1er point
        `y1` - coord Y du 1er point
        `x2` - coord X du 2eme point
        `y2` - coord Y du 2eme point